Bug 977712 - netboot broken by service rpcidmapd restart
netboot broken by service rpcidmapd restart
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 03:54 EDT by Marcus Moeller
Modified: 2013-07-29 07:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 07:31:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Call systemctl --no-block instead of service (533 bytes, patch)
2013-06-25 12:29 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Marcus Moeller 2013-06-25 03:54:06 EDT
In the latest revision of /usr/lib/systemd/fedora-readonly a:

service rpcidmapd restart

has been added. This breaks netboot mount on NFSv3
Comment 1 Václav Pavlín 2013-06-25 04:07:28 EDT
Hi, what does it mean that it "breaks netboot"? Could you provide some related log messages?
Comment 2 Marcus Moeller 2013-06-25 04:11:32 EDT
This has already been worked out with Harald Hoyer during a long irc session. Please ask him if you got any further questions.
Comment 3 Václav Pavlín 2013-06-25 12:29:36 EDT
Created attachment 765168 [details]
Call systemctl --no-block instead of service

Hi Marcus, could you try if this patch helps?
Comment 4 Marcus Moeller 2013-06-27 06:51:56 EDT
Yes, it works fine. Thanks for taking care.
Comment 5 Marcus Moeller 2013-07-29 07:16:30 EDT
Have you been able to push this to release, yet?
Comment 6 Lukáš Nykrýn 2013-07-29 07:31:53 EDT
I think that at the end this was fix by removing service rpcidmapd restart entirely. But this fix is included in initscripts 9.48.

Note You need to log in before you can comment on or make changes to this bug.